Altibase.jdbc.driver

## Class BlobInputStream

- java.lang.Object
- - java.io.InputStream
  - - Altibase.jdbc.driver.BlobInputStream

All Implemented Interfaces:
  ConnectionSharable, java.io.Closeable, java.lang.AutoCloseable

    public class BlobInputStream
    extends java.io.InputStream
    implements ConnectionSharable

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`void` `freeLocator()`
`void` `initMode()`
`boolean` `isClosed()`
`boolean` `isCopyMode()`
`boolean` `isSameConnectionWith(CmChannel aChannel)`
`void` `mark(int aReadlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] aBuf)`
`int` `read(byte[] aDest, int aDestOffset, int aLengthWantToRead)`
`void` `readyToCopy()`
`void` `releaseCopyMode()`
`void` `reset()`
`void` `setCopyMode()`
`void` `setOffset4Server(long aOffset)`
`long` `skip(long aLen)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### isClosed

    public boolean isClosed()

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### freeLocator

    public void freeLocator()
                     throws java.sql.SQLException,
                            java.io.IOException

Throws:
  `java.sql.SQLException`
  `java.io.IOException`

#### mark

    public void mark(int aReadlimit)

Overrides:
  `mark` in class `java.io.InputStream`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `java.io.InputStream`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] aDest,
                    int aDestOffset,
                    int aLengthWantToRead)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] aBuf)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### reset

    public void reset()
               throws java.io.IOException

Overrides:
  `reset` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long aLen)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### isCopyMode

    public boolean isCopyMode()

Specified by:
  `isCopyMode` in interface `ConnectionSharable`

#### setCopyMode

    public void setCopyMode()

Specified by:
  `setCopyMode` in interface `ConnectionSharable`

#### releaseCopyMode

    public void releaseCopyMode()

Specified by:
  `releaseCopyMode` in interface `ConnectionSharable`

#### initMode

    public void initMode()

Specified by:
  `initMode` in interface `ConnectionSharable`

#### readyToCopy

    public void readyToCopy()
                     throws java.io.IOException

Specified by:
  `readyToCopy` in interface `ConnectionSharable`
Throws:
  `java.io.IOException`

#### isSameConnectionWith

    public boolean isSameConnectionWith(CmChannel aChannel)

Specified by:
  `isSameConnectionWith` in interface `ConnectionSharable`

#### setOffset4Server

    public void setOffset4Server(long aOffset)